// This program is designed for ADUC_P7020 board
// It shows how to work with buttons and leds

#include <ioaduc7020.h>
#include "leds.h"
#include "system.h"

#define BUT1  GP0DAT & 0x00000010
#define	BUT2  GP0DAT & 0x00000020

//variable
unsigned char b1 = 0x0;
unsigned char b2 = 0x0;

int main()
{
  // Init frequency
  InitFreq();
  // Init leds
  InitLeds();

  // loop forever
  while(1) {

    //check that Button 1 is pressed
    if((BUT1) == 0 && b1 == 0) {
      Led1_On();
      Led3_On();
      b1=1;
    }
    if((BUT1) != 0 && b1 != 0) {
      Led1_Off();
      Led3_Off();
      b1=0;
    }


    //check that Button 2 is pressed
    if((BUT2) == 0 && b2 == 0) {
      Led2_On();
      Led3_On();
      b2=1;
    }
    if((BUT2) != 0 && b2 != 0) {
      Led2_Off();
      Led3_Off();
      b2=0;
    }

  }

}
